recording_file — attach an audio file directly (multipart/form-data)recording_url — provide a public URL to download the recording fromcall_date, org_unit_id, caller_id, ring_tocurl --location 'https://platform-api.convirza.com/v3/conversations/calls/upload' \
--header 'Authorization: Bearer <token>' \
--form 'recording_file=@""' \
--form 'recording_url="https://example.com/recording.mp3"' \
--form 'call_date="2026-01-15T10:30:00.000Z"' \
--form 'org_unit_id="1001"' \
--form 'caller_id="5551234567"' \
--form 'ring_to="5559876543"' \
--form 'phone_number="5559990000"' \
--form 'campaign_id="200"' \
--form 'channel_id="56"' \
--form 'external_id="ext-call-abc123"' \
--form 'disposition="ANSWERED"' \
--form 'assign_to="agent@example.com"' \
--form 'is_outbound="false"' \
--form 'swap_channels="false"' \
--form 'transcribe="false"' \
--form 'tag_name="sales"' \
--form 'tag_name="follow-up"' \
--form 'custom_source_type_1="Google"' \
--form 'custom_source_type_2="Organic"' \
--form 'custom_source_type_3=""' \
--form 'custom_source_type_4=""' \
--form 'custom_source_type_5=""' \
--form 'company_name=""' \
--form 'caller_name=""' \
--form 'address=""' \
--form 'city=""' \
--form 'state=""' \
--form 'zip_code="84101"' \
--form 'line_type="VOIP"'{
"code": 200,
"message": "Success",
"data": {},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2026-01-20T12:34:56.789Z"
}